.overlay {
    position: fixed;
    inset: 0;
    z-index: 30;

    padding: 30px;

    cursor: pointer;
}

.overlay::after {
    content: '';
    position: absolute;
    inset: 0;
    z-index: 0;

    background: var(--blackHover);
    opacity: .8;
}

.content {
    position: relative;
    z-index: 1;

    width: 100%;
    height: 100%;

    grid-template-columns: minmax(0, 100%);
    grid-template-rows: minmax(0, 100%);

    display: grid;
    justify-items: center;
    align-items: center;
}

.content::slotted(img),
.content::slotted(svg) {
    background-color: white;

    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    line-height: 0;
}

::slotted(img), ::slotted(svg) {
    cursor: pointer;
}

@media screen and (max-width: 599px) {
    .overlay {
        padding: 10px 0;
    }
}
